import { MarkerStatus, MarkerTemplate, LayerTemplate } from './iot-map-types';
export declare class IotMapConfig {
    map: any;
    markers: any;
    markerStatus: MarkerStatus;
    markerTemplates: MarkerTemplate;
    layerTemplates: LayerTemplate;
    accuracyCircle: any;
    clusters: any;
    userMarker: any;
    path: any;
    area: any;
    /**
     * Update current configuration with new values for some entries
     * @remarks some configuration entries are private and can not be modified
     *
     * @param newConfig - a structure containing entries to update in current configuration
     *
     */
    setConfig(newConfig: Partial<IotMapConfig>): void;
}
