import { IotMapDisplay, IotMarker } from './iot-map-types';
import { IotMapConfig } from './iot-map-config';
import { IotMapManager } from './iot-map-manager';
/**
 *
 */
export declare class IotMapMarker extends IotMapDisplay {
    private data;
    private config;
    private map;
    private selected;
    private layerDisplayed;
    private accuracityDisplayed;
    private accuracyCircle;
    constructor(marker: IotMarker, map: IotMapManager, config: IotMapConfig);
    removeMarker(): void;
    select(selected: boolean): void;
    getData(): IotMarker;
    setData(data: IotMarker): void;
    redraw(): void;
    reactAfterZoom(): void;
    updateAccuracyDisplay(selectedLayers: string[], display: boolean): void;
    private displayAccuracy;
    private removeAccuracy;
    shiftMap(): void;
}
