import { IotMapConfig } from './iot-map-config';
import { IotMapDisplay, IotUserMarker, Location } from './iot-map-types';
import { IotMapManager } from './iot-map-manager';
export declare class IotMapUserMarker extends IotMapDisplay {
    private data;
    private config;
    private map;
    private accuracyCircle;
    private layerDisplayed;
    private accuracityDisplayed;
    constructor(userMarker: IotUserMarker, map: IotMapManager, config: IotMapConfig);
    removeUserMarker(): void;
    select(selected: boolean): void;
    getData(): IotUserMarker;
    setData(data: IotUserMarker): void;
    redraw(): void;
    setPosition(latlng: Location): void;
    updateAccuracyDisplay(selectedLayers: string[], display: boolean): void;
    private displayAccuracy;
    private removeAccuracy;
}
